SmartsWrite.h File Reference
`#include <RDGeneral/export.h>`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

| RDKit
| Std stuff.
| RDKit::SmartsWrite

## Functions

RDKIT_SMILESPARSE_EXPORT std::string | RDKit::SmartsWrite::GetAtomSmarts (const QueryAtom *qatom)
| returns the SMARTS for a QueryAtom More...
RDKIT_SMILESPARSE_EXPORT std::string | RDKit::SmartsWrite::GetBondSmarts (const QueryBond *qbond, int atomToLeftIdx=-1)
| returns the SMARTS for a QueryBond More...
RDKIT_SMILESPARSE_EXPORT std::string | RDKit::MolToSmarts (const ROMol &mol, bool doIsomericSmarts=true)
| returns the SMARTS for a molecule More...
RDKIT_SMILESPARSE_EXPORT std::string | RDKit::MolFragmentToSmarts (const ROMol &mol, const std::vector< int > &atomsToUse, const std::vector< int > *bondsToUse=nullptr, bool doIsomericSmarts=true)